summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/perl-cleaner')
-rw-r--r--app-admin/perl-cleaner/Manifest1
-rw-r--r--app-admin/perl-cleaner/perl-cleaner-2.26.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/app-admin/perl-cleaner/Manifest b/app-admin/perl-cleaner/Manifest
index ebee38b289d..c6b45074bd4 100644
--- a/app-admin/perl-cleaner/Manifest
+++ b/app-admin/perl-cleaner/Manifest
@@ -2,3 +2,4 @@ DIST perl-cleaner-2.20.tar.bz2 6704 SHA256 ecc3b160d01466a5c9a070e12f3e11719bedb
DIST perl-cleaner-2.23.tar.bz2 6495 SHA256 b7d25021997bd9a98f5df930d16cbaec84d19674e7b0a6eb7727c11725e0f91b SHA512 e0879f75737746479cd1032acfed50f20aad183d834e1e0e9b847edeb14577b32ac8fd4b0f5ff54c03937f181d8f5702c3bd009587a5930d40eee59a13fe6624 WHIRLPOOL 5645da862594cb8b65828ab740f433cb279cb4cac84a3005f8adcced1586b54ff766cfd3bba48fe4eab8b978f4155e29de6701d62c5164bce77cea3f730bd01e
DIST perl-cleaner-2.24.tar.bz2 7161 SHA256 870e09b492e4f725771335512694e7f8fd11ea23cba36d86a89a0ca0075fd1f7 SHA512 c6e32aa3123064e9e2fb02823a8b228e3c77720f5c471e9be51f2a4b2765a6c83dcc2ac24fbffae077f4882c70054eb0a3ca0243677a5ac970cb7a64e8b9c265 WHIRLPOOL 5b8dadc4baf6bee9822f9a062a2e79130366b6f8e10534463d1f30fe6e50a6673ba4fdbbcf7f50c6e97458876728f211b768834ef0017cbfec6647dfe3b5eeea
DIST perl-cleaner-2.25.tar.bz2 7435 SHA256 e2e73243f5292824e9a506ae2037955a9901de498b1f88a9e74bc3ebe80a70a5 SHA512 5ef5682872ce840c0df98de82a6cf622120435f542206a00bb8fe0f9d5e46fb9898a89ab576b08a74b0d69d57a90a930d9f8d7d0b527fa3a928a6e4ddbad6ee9 WHIRLPOOL dd1545321dea22dfd465b7925f20b914b58d05464c83d10eeed96cdc270a0774c8dc81614446a36de7efbf908996c8dfd8c18912adac8bf92c0a4c975791446f
+DIST perl-cleaner-2.26.tar.bz2 7462 SHA256 018e6c83f2c6d6d67a1bf7dbcece2f961d6c498091f319b99aaab1ced93f24ab SHA512 5c3fa164a2b5e84e5520276e4f3ff4872298cf53aa973afd6c8755e71884f1591c7cd5cc99d399d343ca01cb9ece8ee3e8e3aaf1908d22afc31ae08fab1e5821 WHIRLPOOL 77a199962de0ec2bbbc4035ba1ff0633174ee17c33a30d6c804946a0bbce8d35468f1bc42f027dc6a407bbefa101f6cc7f4e7cfd632c03477956958f1bd02abd
diff --git a/app-admin/perl-cleaner/perl-cleaner-2.26.ebuild b/app-admin/perl-cleaner/perl-cleaner-2.26.ebuild
new file mode 100644
index 00000000000..46945c3d0b0
--- /dev/null
+++ b/app-admin/perl-cleaner/perl-cleaner-2.26.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit prefix
+
+DESCRIPTION="User land tool for cleaning up old perl installs"
+HOMEPAGE="https://www.gentoo.org/proj/en/perl/"
+
+if [[ "${PV}" == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/gentoo-perl/perl-cleaner.git"
+else
+ SRC_URI="mirror://gentoo/${P}.tar.bz2 https://dev.gentoo.org/~dilfridge/distfiles/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+[[ "${PV}" == "9999" ]] && DEPEND="sys-apps/help2man"
+
+RDEPEND="app-shells/bash
+ dev-lang/perl
+ || (
+ ( sys-apps/portage app-portage/portage-utils )
+ sys-apps/pkgcore
+ sys-apps/paludis
+ )
+"
+
+src_prepare() {
+ default
+ eprefixify ${PN}
+}
+
+src_install() {
+ dosbin perl-cleaner
+ doman perl-cleaner.1
+}